QGIS Application - Bug report #7408
Atlas - some warnings are missing
2013-03-21 03:33 AM - Regis Haubourg

Status: Closed

Priority: Normal

Assignee: Hugo Mercier

Category:

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 16375
Description

Hi,

some minor improvements for usability here:

- if expression in filename is not valid (say you changed coverage layer but not file name expression ) there is no warning, and atlas
computes but nothing is output. We could add a check. resetting expressions when layer coverage choice is modified might not be a good
idea. a warning + choice keep / reset could be nice

- when erasing filtering expression, OK button gets greyed out. A 'clear' button + OK valid should be enough. | did hav a error message
with a expression filled with a unremoved space. That should not be evaluated as an expression (add a trim somewhere?)

régis

Associated revisions

Revision aa43c923 - 2013-03-21 04:04 PM - Hugo Mercier

refs #7408

Fix error reporting when the filename expression is invalid

Revision a482c42a - 2013-03-21 04:32 PM - Hugo Mercier

refs #7408

[Atlas] Add a checkbox on "filter with"

Revision 53¢c47dd8 - 2013-03-26 04:33 PM - Jiirgen Fischer

Merge pull request #473 from Oslandia/atlas

Atlas: fix #7408

History

#1 - 2013-03-21 04:11 AM - Hugo Mercier

Ok for the addition of a check on expression validity.

Regarding your second point, what about a checkbox on "Filter with" ? | find it more consistent with the "Sort by" checkbox.
#2 - 2013-03-21 05:58 AM - Regis Haubourg
Agreed with the checkbox, its more consistent.
régis

#3 - 2013-03-23 01:24 PM - Hugo Mercier

- Assignee changed from Vincent Picavet to Hugo Mercier

#4 - 2013-03-26 08:34 AM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"53c47dd8e4ab8705fc9d548187d3f3a47e6943e3".
